-- ****************************************************************************
-- * Licensed Materials - Property of IBM
-- * 5724-T40 IBM Tivoli License Metric Tool
-- * 5724-S94 IBM Tivoli Asset Discovery for Distributed 
-- *  
-- * (C) Copyright IBM Corp. 2011.  All Rights Reserved.
-- *
-- * US Government Users Restricted Rights - Use, duplication or
-- * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
-- ****************************************************************************

CONNECT TO TLMA%

-----------------------------------------------------------------------------------
-- START: common procedures declaration  ------------------------------------------
-----------------------------------------------------------------------------------

create procedure ADM.DROP_INDEX_IF_EXISTS(in INDEX_NAME char(100))
	begin
	declare STMT char(250);
	declare MSG char(20);
	
	declare continue handler for sqlstate '42704' set MSG = 'ok';
	
	set STMT = 'DROP INDEX ' concat INDEX_NAME;
	prepare S1 from STMT;
	execute S1;
	end%

-----------------------------------------------------------------------------------
-- END: common procedures declaration ---------------------------------------------
-----------------------------------------------------------------------------------

-----------------------------------------------------------------------------------
-- START: Defect 34160 (The statement is too long or too complex(during signing report))
-----------------------------------------------------------------------------------

UPDATE DB CFG FOR tlma USING STMTHEAP 12000%

-----------------------------------------------------------------------------------
-- END: 34160 (The statement is too long or too complex(during signing report)) 
-----------------------------------------------------------------------------------

-----------------------------------------------------------------------------------
-- START: Performance problems on Manage Software Bundles panel
-----------------------------------------------------------------------------------

CALL ADM.DROP_INDEX_IF_EXISTS('ADM.BASE_PROPERTY_I1')%
CALL ADM.DROP_INDEX_IF_EXISTS('ADM.BASE_PROPERTY_I2')%

CREATE INDEX ADM.BASE_PROPERTY_I1 ON ADM.BASE_PROPERTY(OWNER_ID)%
CREATE INDEX ADM.BASE_PROPERTY_I2 ON ADM.BASE_PROPERTY(OWNER_ID, OWNER_TYPE, TYPE)%

REORG TABLE ADM.BASE_PROPERTY%
runstats on table ADM.BASE_PROPERTY and indexes all%

-----------------------------------------------------------------------------------
-- END: Performance problems on Manage Software Bundles panel
-----------------------------------------------------------------------------------

-----------------------------------------------------------------------------------
-- START: Remove temporary procedures  --------------------------------------------
-----------------------------------------------------------------------------------

drop procedure ADM.DROP_INDEX_IF_EXISTS%

-----------------------------------------------------------------------------------
-- END: Remove temporary procedures -----------------------------------------------
-----------------------------------------------------------------------------------

DISCONNECT CURRENT%
